services: 
    api-service:
        build: ./source/
        container_name: ${apikazServName}
#        restart: ${restartPolicy}
        volumes: 
            - ./source/:/usr/src/app/
            #pour être dans la même time zone que le host
            - /etc/timezone:/etc/timezone:ro
            - /etc/localtime:/etc/localtime:ro            
        ports: 
            - 5000:5000
        env_file:
            - ../../secret/env-${apikazServName}            
        environment: 
            PORT: 5000
            FLASK_DEBUG: 1
            FLASK_ENV: development  # Activation du rechargement automatique
            #important sinon mmctl va aller taper sur PROD1
            ENV MMCTL_SERVER: "https://${apikazHost}.${domain}"            
#        volumes:
#          - apiKaz:/
        networks:
          - apikazNet
          - pahekoNet
          - ldapNet
          - cloudNet
          - postfixNet
        external_links:
          - ${smtpServName}:${smtpHost}.${domain}
        labels:
          - "traefik.enable=true"
          - "traefik.http.routers.${apikazServName}.rule=Host(`${apikazHost}.${domain}`)"
          - "traefik.http.routers.${apikazServName}.middlewares=test-adminipallowlist@file"
          - "traefik.docker.network=apikazNet"

#volumes:
#  apiKaz:

networks:
  apikazNet:
    external: true
    name: apikazNet
  pahekoNet:
    external: true
    name: pahekoNet
  ldapNet:
    external: true
    name: ldapNet
  cloudNet:
    external: true
    name: cloudNet
  postfixNet:
    external: true
    name: postfixNet
